Update a conversation

Base URL
https://{kibana_url}
  • PUT /api/security_ai_assistant/current_user/conversations/{id}
  • PUT /s/{space_id}/api/security_ai_assistant/current_user/conversations/{id}
Auth

Update an existing conversation using the conversation ID. This endpoint allows users to modify the details of an existing conversation.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · format: nonempty · min length: 1 required

The conversation's id value.

Example: abc123

Request body

apiConfig object
actionTypeId string required

Action type ID

connectorId string required

Connector ID

defaultSystemPromptId string

Default system prompt ID

model string

Model

provider enum

Provider

Values: OpenAI Azure OpenAI Other
category enum

The conversation category.

Values: assistant insights
excludeFromLastConversationStorage boolean

Exclude from last conversation storage.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

messages object[]

The conversation messages.

content string required

Message content.

isError boolean

Is error message.

metadata object

Message metadata

contentReferences map string to oneOf

A union of all content reference types

reader object
refusal string

Refusal reason returned by the model when content is filtered.

role enum required

Message role.

Values: system user assistant
timestamp string · format: nonempty · min length: 1 required

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

traceData object

Trace Data

traceId string

Could be any string, not necessarily a UUID

transactionId string

Could be any string, not necessarily a UUID

replacements map string to string

Replacements object used to anonymize/deanonymize messages

summary object
confidence enum

The conversation confidence.

Values: low medium high
content string

Summary text of the conversation over time.

public boolean

Define if summary is marked as publicly available.

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

title string

The conversation title.

Responses

Indicates a successful call. The conversation was updated successfully.

application/json
apiConfig object
actionTypeId string required

Action type ID

connectorId string required

Connector ID

defaultSystemPromptId string

Default system prompt ID

model string

Model

provider enum

Provider

Values: OpenAI Azure OpenAI Other
category enum required

The conversation category.

Values: assistant insights
createdAt string required

The time conversation was created.

excludeFromLastConversationStorage boolean

Exclude from last conversation storage.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

messages object[]

The conversation messages.

Same fields as messages
namespace string required

Kibana space

replacements map string to string

Replacements object used to anonymize/deanonymize messages

summary object
confidence enum

The conversation confidence.

Values: low medium high
content string

Summary text of the conversation over time.

public boolean

Define if summary is marked as publicly available.

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

title string required

The conversation title.

updatedAt string

The last time conversation was updated.

users object[] required
id string

User id.

name string

User name.

Generic Error. This response indicates an issue with the request, such as missing required parameters or incorrect data.

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}